Index: /branches/version-2_12-dev/data/class/pages/entry/LC_Page_Entry.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/entry/LC_Page_Entry.php	(revision 22591)
+++ /branches/version-2_12-dev/data/class/pages/entry/LC_Page_Entry.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id:LC_Page_Entry.php 15532 2007-08-31 14:39:46Z nanasess $
  */
-class LC_Page_Entry extends LC_Page_Ex 
-{
+class LC_Page_Entry extends LC_Page_Ex {
 
     // {{{ properties
@@ -44,6 +43,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $masterData         = new SC_DB_MasterData_Ex();
@@ -66,6 +64,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         parent::process();
         $this->action();
@@ -77,6 +74,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objFormParam = new SC_FormParam_Ex();
@@ -171,6 +167,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -184,6 +179,5 @@
      * @return uniqid
      */
-    function lfRegistCustomerData($sqlval)
-    {
+    function lfRegistCustomerData($sqlval) {
         SC_Helper_Customer_Ex::sfEditCustomerData($sqlval);
         return $sqlval['secret_key'];
@@ -201,6 +195,5 @@
      * @return $arrResults
      */
-    function lfMakeSqlVal(&$objFormParam)
-    {
+    function lfMakeSqlVal(&$objFormParam) {
         $arrForm                = $objFormParam->getHashArray();
         $arrResults             = $objFormParam->getDbArray();
@@ -237,6 +230,5 @@
      * @return void
      */
-    function lfSendMail($uniqid, $arrForm)
-    {
+    function lfSendMail($uniqid, $arrForm) {
         $CONF           = SC_Helper_DB_Ex::sfGetBasisData();
 
@@ -293,6 +285,5 @@
      * @return boolean kiyaku.php からの妥当な遷移であれば true
      */
-    function lfCheckReferer(&$post, $referer)
-    {
+    function lfCheckReferer(&$post, $referer) {
 
         if (SC_Display_Ex::detectDevice() !== DEVICE_TYPE_MOBILE
@@ -310,6 +301,5 @@
      * @return array $arrErr エラーメッセージ配列
      */
-    function lfCheckError($arrRequest)
-    {
+    function lfCheckError($arrRequest) {
         // パラメーター管理クラス
         $objFormParam = new SC_FormParam_Ex();
@@ -323,6 +313,28 @@
         // エラーチェック
         $arrErr = $objFormParam->checkError();
+        // 親ウィンドウの戻り値を格納するinputタグのnameのエラーチェック
+        if (!$this->lfInputNameCheck($addData['zip01'])) {
+            $arrErr['zip01'] = '※ 入力形式が不正です。<br />';
+        }
+        if (!$this->lfInputNameCheck($arrdata['zip02'])) {
+            $arrErr['zip02'] = '※ 入力形式が不正です。<br />';
+        }
 
         return $arrErr;
     }
+
+    /**
+     * エラーチェック.
+     *
+     * @param string $value
+     * @return エラーなし：true エラー：false
+     */
+    function lfInputNameCheck($value) {
+        // 半角英数字と_（アンダーバー）, []以外の文字を使用していたらエラー
+        if (strlen($value) > 0 && !preg_match("/^[a-zA-Z0-9_\[\]]+$/", $value)) {
+            return false;
+        }
+
+        return true;
+    }
 }
Index: /branches/version-2_12-dev/data/class/pages/entry/LC_Page_Entry_Complete.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/entry/LC_Page_Entry_Complete.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/entry/LC_Page_Entry_Complete.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Entry_Complete extends LC_Page_Ex 
-{
+class LC_Page_Entry_Complete extends LC_Page_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->httpCacheControl('nocache');
@@ -54,6 +52,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         parent::process();
         $this->action();
@@ -66,6 +63,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         // カートが空かどうかを確認する。
@@ -96,6 +92,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
Index: /branches/version-2_12-dev/data/class/pages/LC_Page_Sitemap.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/LC_Page_Sitemap.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/LC_Page_Sitemap.php	(revision 22796)
@@ -51,6 +51,5 @@
  * :TODO: filemtime 関数を使えば、静的なページの更新時間も取得できそう
  */
-class LC_Page_Sitemap extends LC_Page_Ex 
-{
+class LC_Page_Sitemap extends LC_Page_Ex {
 
     // }}}
@@ -71,6 +70,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
 
@@ -85,6 +83,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         // ページのデータを取得
         // FIXME PCサイトのみに限定している。ある程度妥当だとは思うが、よりベターな方法はないだろうか。
@@ -143,6 +140,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -159,6 +155,5 @@
      * TODO Smarty に移行すべき?
      */
-    function createSitemap($loc, $lastmod = '', $changefreq = '', $priority = '')
-    {
+    function createSitemap($loc, $lastmod = '', $changefreq = '', $priority = '') {
         printf("\t<url>\n");
         printf("\t\t<loc>%s</loc>\n", htmlentities($loc, ENT_QUOTES, 'UTF-8'));
@@ -181,6 +176,5 @@
      * @return array TOPページの情報
      */
-    function getTopPage($arrPageList)
-    {
+    function getTopPage($arrPageList) {
         $arrRet = array();
         foreach ($arrPageList as $arrPage) {
@@ -198,6 +192,5 @@
      * @return array 編集可能ページ
      */
-    function getEditablePage($arrPageList)
-    {
+    function getEditablePage($arrPageList) {
         $arrRet = array();
         foreach ($arrPageList as $arrPage) {
@@ -214,6 +207,5 @@
      * @return array 検索エンジンからアクセス可能な商品一覧ページの情報
      */
-    function getAllProducts()
-    {
+    function getAllProducts() {
 
         // XXX: 商品登録の無いカテゴリは除外する方が良い気もする
@@ -237,6 +229,5 @@
      * @return array 検索エンジンからアクセス可能な商品詳細ページの情報
      */
-    function getAllDetail()
-    {
+    function getAllDetail() {
         $objQuery = SC_Query_Ex::getSingletonInstance();
         $sql = 'SELECT product_id, update_date FROM dtb_products WHERE del_flg = 0 AND status = 1';
@@ -261,6 +252,5 @@
      * @return array $arrPageList ブロック情報
      */
-    function getPageData($where = '', $arrVal = '')
-    {
+    function getPageData($where = '', $arrVal = '') {
         $objQuery = SC_Query_Ex::getSingletonInstance();     // DB操作オブジェクト
         $sql = '';                      // データ取得SQL生成用
@@ -312,6 +302,5 @@
      * @return void
      */
-    function date2W3CDatetime($date)
-    {
+    function date2W3CDatetime($date) {
         $arr = array();
         // 正規表現で文字列を抽出
Index: /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_NaviHeader.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_NaviHeader.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_NaviHeader.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_FrontParts_Bloc_NaviHeader extends LC_Page_FrontParts_Bloc_Login_Ex 
-{
+class LC_Page_FrontParts_Bloc_NaviHeader extends LC_Page_FrontParts_Bloc_Login_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $masterData = new SC_DB_MasterData_Ex();
@@ -55,6 +53,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -66,6 +63,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
         parent::action();
 
@@ -83,6 +79,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -96,6 +91,5 @@
      * @return array $arrCartList カートデータ配列
      */
-    function lfGetCartData($objCart, $arrInfo, $cartKeys)
-    {
+    function lfGetCartData($objCart, $arrInfo, $cartKeys) {
         $cartList = array();
         foreach ($cartKeys as $key) {
Index: /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_LoginFooter.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_LoginFooter.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_LoginFooter.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_FrontParts_Bloc_LoginFooter extends LC_Page_FrontParts_Bloc_Login_Ex 
-{
+class LC_Page_FrontParts_Bloc_LoginFooter extends LC_Page_FrontParts_Bloc_Login_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
     }
@@ -53,6 +51,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -64,6 +61,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
         parent::action();
     }
@@ -74,6 +70,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
Index: /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Login.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Login.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Login.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id:LC_Page_FrontParts_Bloc_Login.php 15532 2007-08-31 14:39:46Z nanasess $
  */
-class LC_Page_FrontParts_Bloc_Login extends LC_Page_FrontParts_Bloc_Ex 
-{
+class LC_Page_FrontParts_Bloc_Login extends LC_Page_FrontParts_Bloc_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_login = false;
@@ -56,6 +54,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -67,6 +64,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objCustomer = new SC_Customer_Ex();
@@ -104,6 +100,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -114,6 +109,5 @@
      * @return boolean
      */
-    function lfCheckDisableLogout()
-    {
+    function lfCheckDisableLogout() {
         $masterData = new SC_DB_MasterData_Ex();
         $arrDisableLogout = $masterData->getMasterData('mtb_disable_logout');
Index: /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Calendar.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Calendar.php	(revision 22576)
+++ /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Calendar.php	(revision 22796)
@@ -33,6 +33,5 @@
  * @version $ $
  */
-class LC_Page_FrontParts_Bloc_Calendar extends LC_Page_FrontParts_Bloc_Ex 
-{
+class LC_Page_FrontParts_Bloc_Calendar extends LC_Page_FrontParts_Bloc_Ex {
 
     // }}}
@@ -44,6 +43,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
     }
@@ -54,6 +52,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -65,7 +62,10 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
+        // 休日取得取得
+        $this->arrHoliday = $this->lfGetHoliday();
+        // 定休日取得取得
+        $this->arrRegularHoliday = $this->lfGetRegularHoliday();
         // カレンダーデータ取得
         $this->arrCalendar = $this->lfGetCalendar(2);
@@ -79,6 +79,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -90,7 +89,5 @@
      * @return array カレンダー情報の配列を返す
      */
-    function lfGetCalendar($disp_month = 1)
-    {
-        $objDate = new SC_Date_Ex();
+    function lfGetCalendar($disp_month = 1) {
         $arrCalendar = array();
         $today = date('Y/m/d');
@@ -112,5 +109,5 @@
                 $arrCalendar[$j][$i]['month']       = $month;
                 $arrCalendar[$j][$i]['day']         = $objDay->day;
-                $arrCalendar[$j][$i]['holiday']     = $objDate->isHoliday($year, $month, $objDay->day);
+                $arrCalendar[$j][$i]['holiday']     = $this->lfCheckHoliday($year, $month, $objDay->day);
                 $arrCalendar[$j][$i]['today']       = $today === sprintf('%04d/%02d/%02d', $year, $month, $objDay->day);
 
@@ -121,3 +118,55 @@
         return $arrCalendar;
     }
+
+    /**
+     * 休日取得.
+     *
+     * @return array $arrHoliday 休日情報の配列を返す
+     */
+    function lfGetHoliday() {
+        $objQuery = SC_Query_Ex::getSingletonInstance();
+        $objQuery->setOrder('rank DESC');
+
+        $where = 'del_flg <> 1';
+        $arrRet = $objQuery->select('month, day', 'dtb_holiday', $where);
+        foreach ($arrRet AS $key=>$val) {
+            $arrHoliday[$val['month']][] = $val['day'];
+        }
+        return $arrHoliday;
+    }
+
+    /**
+     * 定休日取得.
+     *
+     * @return array $arrRegularHoliday 定休日情報の配列を返す
+     */
+    function lfGetRegularHoliday() {
+        $arrInfo = SC_Helper_DB_Ex::sfGetBasisData();
+        $arrRegularHoliday = explode('|', $arrInfo['regular_holiday_ids']);
+        return $arrRegularHoliday;
+    }
+
+    /**
+     * 休日チェック取得.
+     *
+     * @param integer $year 年
+     * @param integer $month 月
+     * @param integer $day 日
+     * @return boolean 休日の場合trueを返す
+     */
+    function lfCheckHoliday($year, $month, $day) {
+        if (!empty($this->arrHoliday[$month])) {
+            if (in_array($day, $this->arrHoliday[$month])) {
+                return true;
+            }
+        }
+        if (!empty($this->arrRegularHoliday)) {
+            $day = date('w', mktime(0,0,0 ,$month, $day, $year));
+            if (in_array($day, $this->arrRegularHoliday)) {
+                return true;
+            }
+        }
+        return false;
+    }
+
 }
Index: /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Cart.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Cart.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Cart.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id:LC_Page_FrontParts_Bloc_Cart.php 15532 2007-08-31 14:39:46Z nanasess $
  */
-class LC_Page_FrontParts_Bloc_Cart extends LC_Page_FrontParts_Bloc_Ex 
-{
+class LC_Page_FrontParts_Bloc_Cart extends LC_Page_FrontParts_Bloc_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $masterData = new SC_DB_MasterData_Ex();
@@ -55,6 +53,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -66,6 +63,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objCart = new SC_CartSession_Ex();
@@ -83,6 +79,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -94,6 +89,5 @@
      * @return array カートデータ配列
      */
-    function lfGetCartData(&$objCart)
-    {
+    function lfGetCartData(&$objCart) {
         $arrCartKeys = $objCart->getKeys();
         foreach ($arrCartKeys as $cart_key) {
Index: /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Recommend.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Recommend.php	(revision 22582)
+++ /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Recommend.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id: LC_Page_FrontParts_Bloc_Best5 - Copy.php -1   $
  */
-class LC_Page_FrontParts_Bloc_Recommend extends LC_Page_FrontParts_Bloc_Ex 
-{
+class LC_Page_FrontParts_Bloc_Recommend extends LC_Page_FrontParts_Bloc_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
     }
@@ -53,6 +51,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -64,6 +61,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         // 基本情報を渡す
@@ -82,6 +78,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -92,40 +87,39 @@
      * @return array $arrBestProducts 検索結果配列
      */
-    function lfGetRanking()
-    {
-        $objRecommend = new SC_Helper_Recommend_Ex();
+    function lfGetRanking() {
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
+        $objProduct = new SC_Product_Ex();
 
         // おすすめ商品取得
-        $arrRecommends = $objRecommend->getList(RECOMMEND_NUM);
+        $col = 'T1.best_id, T1.category_id, T1.rank, T1.product_id, T1.title, T1.comment, T1.create_date, T1.update_date';
+        $table = 'dtb_best_products as T1 INNER JOIN dtb_products as T2 ON T1.product_id = T2.product_id';
+        $where = 'T1.del_flg = 0 and T2.status = 1';
+        $objQuery->setOrder('T1.rank');
+        $objQuery->setLimit(RECOMMEND_NUM);
+        $arrBestProducts = $objQuery->select($col, $table, $where);
 
-        $response = array();
-        if (count($arrRecommends) > 0) {
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
+        if (count($arrBestProducts) > 0) {
             // 商品一覧を取得
-            $objQuery =& SC_Query_Ex::getSingletonInstance();
-            $objProduct = new SC_Product_Ex();
             // where条件生成&セット
             $arrProductId = array();
-            foreach ($arrRecommends as $key => $val) {
+            $where = 'product_id IN (';
+            foreach ($arrBestProducts as $key => $val) {
                 $arrProductId[] = $val['product_id'];
             }
-            $arrProducts = $objProduct->getListByProductIds($objQuery, $arrProductId);
-
-            // 税込金額を設定する
-            SC_Product_Ex::setIncTaxToProducts($arrProducts);
-
+            // 取得
+            $arrProductList = $objProduct->getListByProductIds($objQuery, $arrProductId);
             // おすすめ商品情報にマージ
-            foreach ($arrRecommends as $key => $value) {
-                if (isset($arrProducts[$value['product_id']])) {
-                    $product = $arrProducts[$value['product_id']];
-                    if (!NOSTOCK_HIDDEN || ($product['status'] == 1 && ($product['stock_max'] >= 1 || $product['stock_unlimited_max'] == 1))) {
-                        $response[] = array_merge($value, $arrProducts[$value['product_id']]);
-                    }
+            foreach ($arrBestProducts as $key => $value) {
+                $arrRow =& $arrBestProducts[$key];
+                if (isset($arrProductList[$arrRow['product_id']])) {
+                    $arrRow = array_merge($arrRow, $arrProductList[$arrRow['product_id']]);
                 } else {
                     // 削除済み商品は除外
-                    unset($arrRecommends[$key]);
+                    unset($arrBestProducts[$key]);
                 }
             }
         }
-        return $response;
+        return $arrBestProducts;
     }
 }
Index: /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_SearchProducts.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_SearchProducts.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_SearchProducts.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id:LC_Page_FrontParts_Bloc_SearchProducts.php 15532 2007-08-31 14:39:46Z nanasess $
  */
-class LC_Page_FrontParts_Bloc_SearchProducts extends LC_Page_FrontParts_Bloc_Ex 
-{
+class LC_Page_FrontParts_Bloc_SearchProducts extends LC_Page_FrontParts_Bloc_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
     }
@@ -53,6 +51,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -64,6 +61,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         // 商品ID取得
@@ -90,6 +86,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -100,6 +95,5 @@
      * @return string $product_id 商品ID
      */
-    function lfGetProductId()
-    {
+    function lfGetProductId() {
         $product_id = '';
         if (isset($_GET['product_id']) && $_GET['product_id'] != '' && is_numeric($_GET['product_id'])) {
@@ -114,6 +108,5 @@
      * @return string $category_id カテゴリID
      */
-    function lfGetCategoryId()
-    {
+    function lfGetCategoryId() {
         $category_id = '';
         if (isset($_GET['category_id']) && $_GET['category_id'] != '' && is_numeric($_GET['category_id'])) {
@@ -128,6 +121,5 @@
      * @return string $maker_id メーカーID
      */
-    function lfGetMakerId()
-    {
+    function lfGetMakerId() {
         $maker_id = '';
         if (isset($_GET['maker_id']) && $_GET['maker_id'] != '' && is_numeric($_GET['maker_id'])) {
@@ -142,6 +134,5 @@
      * @return array $arrCategoryId 選択中のカテゴリID
      */
-    function lfGetSelectedCategoryId($product_id, $category_id)
-    {
+    function lfGetSelectedCategoryId($product_id, $category_id) {
         // 選択中のカテゴリIDを判定する
         $objDb = new SC_Helper_DB_Ex();
@@ -155,6 +146,5 @@
      * @return array $arrMakerId 選択中のメーカーID
      */
-    function lfGetSelectedMakerId($product_id, $maker_id)
-    {
+    function lfGetSelectedMakerId($product_id, $maker_id) {
         // 選択中のメーカーIDを判定する
         $objDb = new SC_Helper_DB_Ex();
@@ -168,6 +158,5 @@
      * @return array $arrCategoryList カテゴリ検索用選択リスト
      */
-    function lfGetCategoryList()
-    {
+    function lfGetCategoryList() {
         $objDb = new SC_Helper_DB_Ex();
         // カテゴリ検索用選択リスト
@@ -188,6 +177,5 @@
      * @return array $arrMakerList メーカー検索用選択リスト
      */
-    function lfGetMakerList()
-    {
+    function lfGetMakerList() {
         $objDb = new SC_Helper_DB_Ex();
         // メーカー検索用選択リスト
Index: /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_NaviFooter.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_NaviFooter.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_NaviFooter.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_FrontParts_Bloc_NaviFooter extends LC_Page_FrontParts_Bloc_Login_Ex 
-{
+class LC_Page_FrontParts_Bloc_NaviFooter extends LC_Page_FrontParts_Bloc_Login_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
     }
@@ -53,6 +51,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -64,6 +61,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
         parent::action();
     }
@@ -74,6 +70,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
Index: /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_News.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_News.php	(revision 22581)
+++ /branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_News.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_FrontParts_Bloc_News extends LC_Page_FrontParts_Bloc_Ex 
-{
+class LC_Page_FrontParts_Bloc_News extends LC_Page_FrontParts_Bloc_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
     }
@@ -53,6 +51,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -64,8 +61,6 @@
      * @return void
      */
-    function action()
-    {
-
-        $objNews = new SC_Helper_News_Ex();
+    function action() {
+
         $objFormParam = new SC_FormParam_Ex();
         switch ($this->getMode()) {
@@ -76,6 +71,6 @@
                 $this->arrErr = $objFormParam->checkError(false);
                 if (empty($this->arrErr)) {
-                    $arrData = $objFormParam->getHashArray();
-                    $json = $this->lfGetNewsForJson($arrData, $objNews);
+
+                    $json = $this->lfGetNewsForJson($objFormParam);
                     echo $json;
                     SC_Response_Ex::actionExit();
@@ -91,6 +86,6 @@
                 $this->arrErr = $objFormParam->checkError(false);
                 if (empty($this->arrErr)) {
-                    $arrData = $objFormParam->getHashArray();
-                    $json = $this->lfGetNewsDetailForJson($arrData, $objNews);
+
+                    $json = $this->lfGetNewsDetailForJson($objFormParam);
                     echo $json;
                     SC_Response_Ex::actionExit();
@@ -101,6 +96,6 @@
                 break;
             default:
-                $this->arrNews = $objNews->getList();
-                $this->newsCount = $objNews->getCount();
+                $this->newsCount = $this->lfGetNewsCount();
+                $this->arrNews = $this->lfGetNews(SC_Query_Ex::getSingletonInstance());
                 break;
         }
@@ -113,6 +108,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -124,6 +118,5 @@
      * @return void
      */
-    function lfInitNewsParam(&$objFormParam)
-    {
+    function lfInitNewsParam(&$objFormParam) {
         $objFormParam->addParam('現在ページ', 'pageno', INT_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'), '', false);
         $objFormParam->addParam('表示件数', 'disp_number', INT_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'), '', false);
@@ -136,7 +129,7 @@
      * @return array $arrNewsList 新着情報の配列を返す
      */
-    function lfGetNews($dispNumber, $pageNo, SC_Helper_News_Ex $objNews)
-    {
-        $arrNewsList = $objNews->getList($dispNumber, $pageNo);
+    function lfGetNews(&$objQuery) {
+        $objQuery->setOrder('rank DESC ');
+        $arrNewsList = $objQuery->select('* , cast(news_date as date) as news_date_disp', 'dtb_news' ,'del_flg = 0');
 
         // モバイルサイトのセッション保持 (#797)
@@ -159,17 +152,22 @@
      * (ページと表示件数を指定)
      *
-     * @param array $arrData フォーム入力値
-     * @param object $objNews
+     * @param array $objFormParam フォームパラメータークラス
      * @return String $json 新着情報のJSONを返す
      */
-    function lfGetNewsForJson($arrData, SC_Helper_News_Ex $objNews)
-    {
+    function lfGetNewsForJson(&$objFormParam) {
+
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
+        $arrData = $objFormParam->getHashArray();
 
         $dispNumber = $arrData['disp_number'];
         $pageNo = $arrData['pageno'];
-        $arrNewsList = $this->lfGetNews($dispNumber, $pageNo, $objNews);
+        if (!empty($dispNumber) && !empty($pageNo)) {
+            $objQuery->setLimitOffset($dispNumber, (($pageNo - 1) * $dispNumber));
+        }
+
+        $arrNewsList = $this->lfGetNews($objQuery);
 
         //新着情報の最大ページ数をセット
-        $newsCount = $objNews->getCount();
+        $newsCount = $this->lfGetNewsCount();
         $arrNewsList['news_page_count'] = ceil($newsCount / 3);
 
@@ -183,15 +181,32 @@
      * (news_idを指定)
      *
-     * @param array $arrData フォーム入力値
-     * @param object $objNews
+     * @param array $objFormParam フォームパラメータークラス
      * @return String $json 新着情報1件分のJSONを返す
      */
-    function lfGetNewsDetailForJson($arrData, SC_Helper_News_Ex $objNews)
-    {
-
-        $arrNewsList = $objNews->get($arrData['news_id']);
+    function lfGetNewsDetailForJson(&$objFormParam) {
+
+        $objQuery = SC_Query_Ex::getSingletonInstance();
+        $arrData = $objFormParam->getHashArray();
+        $newsId = $arrData['news_id'];
+        $arrNewsList = $objQuery->select(' * , cast(news_date as date) as news_date_disp ',' dtb_news '," del_flg = '0' AND news_id = ? ", array($newsId));
+
         $json =  SC_Utils_Ex::jsonEncode($arrNewsList);    //JSON形式
 
         return $json;
+    }
+
+    /**
+     * 新着情報の件数を取得する
+     *
+     * @return Integer $count 新着情報の件数を返す
+     */
+    function lfGetNewsCount() {
+
+        $count = 0;
+
+        $objQuery = SC_Query_Ex::getSingletonInstance();
+        $count = $objQuery->count('dtb_news', "del_flg = '0'");
+
+        return $count;
     }
 
@@ -202,6 +217,5 @@
      * @return string JSON 形式のエラーメッセージ
      */
-    function lfGetErrors($arrErr)
-    {
+    function lfGetErrors($arrErr) {
         $messages = '';
         foreach ($arrErr as $val) {
